/// <reference types="isomorphic-fetch" />
/// <reference types="typed-graphql" />
import { GraphQLResult } from 'graphql';
import 'isomorphic-fetch';
import { HTTPFetchNetworkInterface, HTTPNetworkInterface, Request } from './networkInterface';
export declare class HTTPBatchedNetworkInterface extends HTTPFetchNetworkInterface {
    private pollInterval;
    private batcher;
    constructor(uri: string, pollInterval: number, fetchOpts: RequestInit);
    query(request: Request): Promise<GraphQLResult>;
    batchQuery(requests: Request[]): Promise<GraphQLResult[]>;
    private batchedFetchFromRemoteEndpoint(requestsAndOptions);
}
export interface BatchingNetworkInterfaceOptions {
    uri: string;
    batchInterval: number;
    opts?: RequestInit;
}
export declare function createBatchingNetworkInterface(options: BatchingNetworkInterfaceOptions): HTTPNetworkInterface;
